<?php
/**
 * $Horde: dimp/dimple.php,v 1.16.2.1 2008/01/02 11:30:14 jan Exp $
 *
 * Copyright 2005-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

// As of right now, Dimples don't need read/write session access.
$session_control = 'readonly';
$session_timeout = 'none';

@define('AUTH_HANDLER', true);
@define('DIMP_BASE', dirname(__FILE__));
require_once DIMP_BASE . '/lib/base.php';
require_once DIMP_BASE . '/lib/Dimple.php';

if (empty($_SERVER['PATH_INFO'])) {
    IMP::sendHTTPResponse(new stdClass(), 'json');
}

if ($_SERVER['PATH_INFO'][0] == '/') {
    $_SERVER['PATH_INFO'] = substr($_SERVER['PATH_INFO'], 1);
}
$path = explode('/', $_SERVER['PATH_INFO']);
$dimpleName = array_shift($path);

if (!($dimple = Dimple::factory($dimpleName))) {
    IMP::sendHTTPResponse(new stdClass(), 'json');
}

$args = array();
foreach ($path as $pair) {
    if (strpos($pair, '=') === false) {
        $args[$pair] = true;
    } else {
        list($name, $val) = explode('=', $pair);
        $args[$name] = $val;
    }
}

$result = $dimple->handle($args);

if (!empty($_SERVER['Content-Type'])) {
    $ct = $_SERVER['Content-Type'];
} else {
    $ct = is_string($result) ? 'plain' : 'json';
}

IMP::sendHTTPResponse($result, $ct);
