/**
 * $Horde: dimp/js/src/fullmessage.js,v 1.23.2.1 2008/01/02 11:30:15 jan Exp $
 *
 * Copyright 2005-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

var DimpFullmessage = {

    quickreply: function(type)
    {
        var func;

        $('msgData').hide();
        $('qreply').show();

        switch (type) {
        case 'reply':
        case 'reply_all':
            func = 'GetReplyData';
            break;

        case 'forwardall':
        case 'forwardbody':
        case 'forwardattachments':
            func = 'GetForwardData';
            break;
        }

        DimpCore.doAction(func,
                          { uid: $F('index'),
                            folder: $F('folder'),
                            imp_compose: $F('messageCache'),
                            type: type },
                          [],
                          this.msgTextCallback.bind(this));
    },

    msgTextCallback: function(result)
    {
        if (!result.response) {
            return;
        }

        var r = result.response;
        var id = (r.identity === null) ? $F('identity') : r.identity;
        var i = DimpCompose.get_identity(id);

        $('last_identity').setValue(id);
        $('identity').setValue(id);

        DimpCompose.fillForm((i.id[2]) ? ("\n" + i.sig + r.body) : (r.body + "\n" + i.sig), r.header);
        if ((r.format == 'html') && !DimpCompose.editor_on) {
            DimpCompose.toggleHtmlEditor(true);
        }

        if (r.fwd_list && r.fwd_list.length) {
            r.fwd_list.each(function(ptr) {
                DimpCompose.addAttach(ptr.number, ptr.name, ptr.type, ptr.size);
            });
        }

        if (r.imp_compose) {
            $('messageCache').setValue(r.imp_compose);
        }
    }

};

document.observe('dom:loaded', function() {
    DimpCore.addPopdown('reply_link', 'replypopdown');
    DimpCore.addPopdown('forward_link', 'fwdpopdown');
});
