<?php
/**
 * $Horde: dimp/message.php,v 1.52.2.1 2008/01/02 11:30:14 jan Exp $
 *
 * Copyright 2005-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Schneider <jan@horde.org>
 */

$load_imp = true;
@define('DIMP_BASE', dirname(__FILE__));
require_once DIMP_BASE . '/lib/base.php';

$folder = Util::getFormData('folder');
$index = Util::getFormData('uid');
if (!$index || !$folder) {
    exit;
}

require_once IMP_BASE . '/lib/UI/Message.php';
$imp_ui = new IMP_UI_Message();

$args = array(
    'headers' => array_diff(array_keys($imp_ui->basicHeaders()), array('subject')),
    'folder' => $folder,
    'fullmessage' => true,
    'index' => $index,
    'options' => array('print'),
);
if (!empty($conf['user']['allow_view_source'])) {
    $args['options'][] = 'msg_source';
}

require_once DIMP_BASE . '/lib/Views/ShowMessage.php';
$show_msg = new DIMP_Views_ShowMessage();
$show_msg_result = $show_msg->ShowMessage($args);
if ($show_msg_result === false) {
    echo DIMP::closeViewJS();
    exit;
}
$msg_text = $show_msg_result->msg;
$subject = $show_msg_result->subject;

$compose_args = array(
    'folder' => $folder,
    'index' => $index,
    'messageCache' => '',
    'popup' => false,
    'qreply' => true,
);
require_once DIMP_BASE . '/lib/Views/Compose.php';
$compose_view = new DIMP_Views_Compose;
$compose_text = $compose_view->Compose($compose_args);

/* Init IMP_UI_Compose:: object. */
require_once IMP_BASE . '/lib/UI/Compose.php';
$imp_ui = new IMP_UI_Compose();

/* Attach spellchecker & auto completer. */
require_once DIMP_BASE . '/lib/Dimple.php';
$imp_ui->attachAutoCompleter('Dimple', array('to', 'cc', 'bcc'));
$imp_ui->attachSpellChecker('Dimple');

$scripts = array(
    array('ContextSensitive.js', 'dimp', true),
    array('fullmessage.js', 'dimp', true),
);

$js_code = array(
    'window.focus()',
    'DimpCore.buildAddressLinks(\'msgHeaders\')'
);
IMP::addInlineScript($js_code, true);

DIMP::header('', $scripts);
echo "<body>\n";
require DIMP_TEMPLATES . '/chunks/fullmessage.php';
$notification->notify(array('listeners' => array('javascript')));
echo "</body>\n</html>";
