<?php
// $Horde: dimp/templates/index/index.inc,v 1.152.2.8 2008/01/08 18:42:07 jan Exp $

// Generate various dimp graphics
$imagedir = $registry->getImageDir('dimp');
$mailseen = Horde::img('mail_seen.png');
$mailunseen = Horde::img('mail_unseen.png');
$delete = Horde::img('delete.png', '', '', $imagedir);
$folder_create = Horde::img('folders/folder_create.png');
$folder_edit = Horde::img('folders/folder_edit.png');
$forward = Horde::img('forward.png', '', '', $imagedir);
$flagged = Horde::img('mail_flagged.png');
$clearflag = Horde::img('mail_clearflag.png');
$preview = Horde::img('preview.png', '', '', $imagedir);
$tick = Horde::img('tick.png', '', '', $imagedir);

// Thread images
require_once IMP_BASE . '/lib/IMAP/Thread.php';
$thread_imgs = IMP_Thread::getImageUrls();

// Attachment images
require_once IMP_BASE . '/lib/UI/Mailbox.php';
$imp_ui = new IMP_UI_Mailbox();
$atc_imgs = array();
foreach ($imp_ui->getAttachmentAltList() as $k => $v) {
    $atc_imgs[] = Horde::img($k . '.png', $v, array('id' => 'atc_img_' . $k));
}

$usetrash = $prefs->getValue('use_trash') || $prefs->getValue('use_vtrash');
$menu_view = $prefs->getValue('menu_view');
$show_text = ($menu_view == 'text' || $menu_view == 'both');

// Small utility function to simplify creating dimpactions buttons.
// As of right now, we don't show text only links.
function _createDA($text, $image, $js, $id, $show_text)
{
    $label = $tooltip = '';
    if ($show_text) {
        $label = $text;
    } else {
        $tooltip = $text;
    }
    echo DIMP::actionButton('#', $text, $tooltip, $image, $js, $id);
}
?>
<div id="dimpLoading"><?php echo _("Loading...") ?></div>
<div id="dimpPage" style="display:none;">
 <div id="header"></div>
 <div id="pageContainer">
  <div id="sidebarPanel">
   <div id="logo"><h1><a href="#" onclick="DimpCore.go('portal');return false;"><?php echo _("Horde") ?></a></h1></div>
   <p id="dimpbarActions">
    <span class="composelink"><?php echo DIMP::actionButton('#', _("_Compose"), '', 'compose.png', 'DimpCore.compose(\'new\');return false;') ?></span>
    <span class="refreshlink"><?php echo DIMP::actionButton('#', _("Get Mail"), '', 'checkmail.png', 'DimpCore.pollFolders();return false;', 'button_checkmail', '') ?></span>
   </p>
   <div id="serviceSep" class="sepfull"></div>
   <ul id="serviceActions">
    <li onmouseover="$(this).addClassName('over');" onmouseout="$(this).removeClassName('over');" class="servicelink">
     <?php echo DIMP::actionButton('#', _("_Portal"), '', 'horde.png', 'return DimpCore.go(\'portal\');', 'appportal', '', 'horde') ?>
    </li>
<?php if (Horde::showService('options')): ?>
    <li onmouseover="$(this).addClassName('over');" onmouseout="$(this).removeClassName('over');" class="servicelink">
     <?php echo DIMP::actionButton('#', _("_Options"), '', 'prefs.png', 'return DimpCore.go(\'options\');', 'appoptions', '', 'horde') ?>
    </li>
<?php endif; ?>
<?php if (Horde::showService('logout')): ?>
    <li onmouseover="$(this).addClassName('over');" onmouseout="$(this).removeClassName('over');" class="servicelink">
     <?php echo DIMP::actionButton(IMP::getLogoutUrl(), _("_Log Out"), '', 'logout.png', 'DimpCore.logout();', null, '', 'horde') ?>
    </li>
<?php endif; ?>
   </ul>
   <div class="sepfull"></div>
   <div id="foldersLoading"><?php echo _("Loading...") ?></div>
   <div id="foldersSidebar" style="display:none;">
    <ul id="specialfolders"></ul>
<?php if (!empty($application_folders)): ?>
    <div id="applicationfolders">
     <div class="sep">&nbsp;</div>
     <ul>
<?php foreach ($application_folders as $val): ?>
      <li onmouseover="$(this).addClassName('over');" onmouseout="$(this).removeClassName('over');" class="custom">
       <a title="<?php echo $val['name'] ?>" id="app<?php echo $val['app'] ?>" onclick="return DimpCore.go('app:<?php echo $val['app'] ?>');" href="#"><img src="<?php echo $val['icon'] ?>" alt="<?php echo $val['name'] ?>" /><?php echo $val['name'] ?></a>
      </li>
<?php endforeach; ?>
     </ul>
    </div>
<?php endif; ?>
<?php if (!empty($site_menu)): ?>
    <div id="sitemenu">
     <div class="sep">&nbsp;</div>
     <ul>
<?php foreach ($site_menu as $key => $menu_item): ?>
<?php if ($menu_item == 'separator'): ?>
     </ul>
     <div class="sep">&nbsp;</div>
     <ul>
<?php else: ?>
      <li onmouseover="$(this).addClassName('over');" onmouseout="$(this).removeClassName('over');" class="custom">
       <a title="<?php echo $menu_item['text'] ?>" id="menu<?php echo $key ?>" onclick="<?php echo htmlspecialchars($menu_item['action']) ?>; return false;" href="#"><img src="<?php echo $menu_item['icon'] ?>" alt="<?php echo $menu_item['text'] ?>" /><?php echo $menu_item['text'] ?></a>
      </li>
<?php endif; ?>
<?php endforeach; ?>
     </ul>
    </div>
<?php endif; ?>
    <div class="sep">&nbsp;</div>
    <ul class="folderlist" id="normalfolders">
     <li class="folder">
      <div class="create"></div>
      <a title="<?php echo _("New Folder") ?>" href="#" onclick="DimpCore.createBaseFolder();return false;"><?php echo _("New Folder") ?></a>
     </li>
    </ul>
   </div>
  </div>

  <div id="dimpmain">
   <div id="dimpmain_portal"></div>
   <div id="dimpmain_folder" style="display:none">
    <div class="msglistplacer">
     <div id="tabbar">
<?php if (!empty($application_folders) || !empty($site_menu)): ?>
      <div class="tabset">
       <ul>
        <li class="activeTab">
         <a href="#" onclick="return DimpCore.go('portal');"><img src="<?php echo $registry->get('icon', 'horde') ?>" alt="<?php echo _("Home") ?>" /><?php echo _("Home") ?></a>
        </li>
<?php foreach ($application_folders as $val): ?>
        <li>
         <a href="#" onclick="return DimpCore.go('app:<?php echo $val['app'] ?>');"><img src="<?php echo $val['icon'] ?>" alt="<?php echo $val['name'] ?>" /><?php echo $val['name'] ?></a>
        </li>
<?php endforeach; ?>
<?php foreach ($site_menu as $menu_item): if ($menu_item == 'separator') continue; ?>
        <li>
        <a href="#" onclick="<?php echo htmlspecialchars($menu_item['action']) ?>; return false;"><img src="<?php echo $menu_item['icon'] ?>" alt="<?php echo $menu_item['text'] ?>" /><?php echo $menu_item['text'] ?></a>
        </li>
<?php endforeach; ?>
<?php if (isset($_SESSION['imp']['quota']) && is_array($_SESSION['imp']['quota'])): ?>
        <li id="quota"></li>
<?php endif; ?>
       </ul>
      </div>
<?php elseif (isset($_SESSION['imp']['quota']) && is_array($_SESSION['imp']['quota'])): ?>
      <div id="quota"></div>
<?php endif; ?>
     </div>
     <br class="clear" />
     <div id="mailboxHeader" class="header">
      <div>
       <span class="rightFloat" id="msgHeader"></span>
       <span class="rightFloat" id="msgListLoading"></span>
       <span id="folderName"></span>
      </div>
     </div>

     <div class="dimpActions">
      <form action="#" method="post" onsubmit="return false;">
       <input type="text" name="msgList_filter" id="msgList_filter" size="30" />
      </form>
      <span id="button_reply_cont"><?php _createDA(_("Reply"), 'reply.png', 'DimpCore.composeMailbox(\'reply\');return false;', 'button_reply', $show_text) ?></span>
      <span id="button_forward_cont"><?php _createDA(_("Forward"), 'forward.png', 'DimpCore.composeMailbox(\'' . $prefs->getValue('forward_default') . '\');return false;', 'button_forward', $show_text) ?></span>
<?php if (!empty($conf['spam']['reporting'])): ?>
      <span><?php _createDA(_("Spam"), 'spam.png', 'return DimpCore.flag(\'spam\');', 'button_spam', $show_text) ?></span>
<?php endif; ?>
<?php if (!empty($conf['notspam']['reporting'])): ?>
      <span style="display:none"><?php _createDA(_("Innocent"), 'ham.png', 'return DimpCore.flag(\'ham\');', 'button_ham', $show_text) ?></span>
<?php endif; ?>
      <span><?php _createDA(_("Delete"), 'delete.png', 'return DimpCore.flag(\'deleted\');', 'button_delete', $show_text) ?></span>
      <span><?php _createDA(_("Other Actions"), 'plusicon.png', 'var e = Event.extend(event);DMenu.trigger(e.findElement(\'A\').next(), true);e.stop();return false;', 'button_other', $show_text) ?></span>
     </div>

     <div class="qoptions" id="qoptions" style="display:none">
      <div class="qclose"><a href="#" onclick="DimpCore.searchfilterClose();return false;">x</a></div>
      <span class="qlabel"><?php echo _("Folders: ") ?></span>
<?php if (!empty($conf['search']['search_all'])): ?>
      <a href="#" id="sf_all" onclick="DimpCore.updateSearchfilter('all', 'folder');return false;"><?php echo _("All") ?></a>
<?php endif; ?>
      <a href="#" id="sf_current" onclick="DimpCore.updateSearchfilter('current', 'folder');return false;"></a>
      <span class="qlabel">|</span>
      <span class="qlabel"><?php echo _("Message: ") ?></span>
      <a href="#" id="sf_msgall" onclick="DimpCore.updateSearchfilter('all', 'msg');return false;"><?php echo _("All") ?></a>
      <a href="#" id="sf_from" onclick="DimpCore.updateSearchfilter('from', 'msg');return false;"><?php echo _("From") ?></a>
      <a href="#" id="sf_to" onclick="DimpCore.updateSearchfilter('to', 'msg');return false;"><?php echo _("To") ?></a>
      <a href="#" id="sf_subject" onclick="DimpCore.updateSearchfilter('subject', 'msg');return false;"><?php echo _("Subject") ?></a>
     </div>

     <div id="msglistHeader" class="item">
      <div class="msgStatus">&nbsp;</div>
      <div class="msgFrom"><a href="#" id="msgFromLink" class="widget" onclick="DimpCore.sort(<?php echo SORTFROM ?>, event);return false;"></a></div>
      <div class="msgSubject"><a href="#" id="sortsubject" class="widget" sortby="" onclick="DimpCore.sort($('sortsubject').readAttribute('sortby'), event);return false;"></a></div>
      <div class="msgDate"><a href="#" id="sortdate" class="widget" sortby="" onclick="DimpCore.sort($('sortdate').readAttribute('sortby'), event);return false;"></a></div>
      <div class="msgSize"><a href="#" class="widget" onclick="DimpCore.sort(<?php echo SORTSIZE ?>, event);return false;"><?php echo Horde::img('attachment.png', '', '', $imagedir) ?></a></div>
     </div>
     <div class="clear" id="mlistHeaderClear">&nbsp;</div>
    </div>

    <div id="msgSplitPane">
     <div id="msgListDiv">
      <div id="msgList_empty" style="display:none"><em><?php echo _("No messages to display") ?></em></div>
      <div id="msgList_error" style="display:none"><em><?php echo _("Could not get message list from server") ?></em></div>
      <div id="msgList" class="msglist">&nbsp;</div>
     </div>
     <div id="splitBar" class="SplitPaneHandle" style="display:none;"></div>
     <div id="previewPane" class="msgreadplacer" style="display:none;"></div>
    </div>
   </div>
  </div>
 </div>
</div>

<div class="context" id="ctx_folder" style="display:none;">
 <a href="#" id="ctx_folder_create" onclick="DimpCore.createSubFolder(DMenu.element());return false;"><?php echo $folder_create . _("Create subfolder") ?></a>
 <a href="#" id="ctx_folder_rename" onclick="DimpCore.renameFolder(DMenu.element());return false;"><?php echo $folder_edit . _("Rename Folder") ?></a>
 <a href="#" id="ctx_folder_empty" onclick="if (window.confirm('<?php echo addslashes(_("Permanently delete all messages?")) ?>')) { DimpCore.doAction('EmptyFolder', { folder: DMenu.element().readAttribute('mbox') }, [], DimpCore.emptyFolderCallback.bind(DimpCore)); } return false;"><?php echo $delete . _("Empty Folder") ?></a>
 <a href="#" id="ctx_folder_delete" onclick="if (window.confirm('<?php echo addslashes(_("Permanently delete this folder?")) ?>')) { DimpCore.doAction('DeleteFolder', { folder: DMenu.element().readAttribute('mbox') }, [], DimpCore.folderCallback.bind(DimpCore)); } return false;"><?php echo Horde::img('folders/folder_delete.png') . _("Delete Folder") ?></a>
 <div id="ctx_folder_seen_sep" class="sep"></div>
 <a href="#" id="ctx_folder_seen" onclick="return DimpCore.flag('allSeen', null, DMenu.element().readAttribute('mbox'));"><?php echo $mailseen . _("Mark all as Read") ?></a>
 <a href="#" id="ctx_folder_unseen" onclick="return DimpCore.flag('allUnseen', null, DMenu.element().readAttribute('mbox'));"><?php echo $mailunseen . _("Mark all as New") ?></a>
 <div id="ctx_folder_poll_sep" class="sep"></div>
 <a href="#" id="ctx_folder_poll" onclick="DimpCore.modifyPollFolder(DMenu.element().readAttribute('mbox'), true);return false;"><?php echo $mailseen . _("Check for New Mail") ?></a>
 <a href="#" id="ctx_folder_nopoll" onclick="DimpCore.modifyPollFolder(DMenu.element().readAttribute('mbox'), false);return false;"><?php echo $mailseen . _("Do Not Check for New Mail") ?></a>
</div>

<div class="context" id="ctx_container" style="display:none;">
 <a href="#" onclick="DimpCore.createSubFolder(DMenu.element());return false;"><?php echo $folder_create . _("Create subfolder") ?></a>
 <a href="#" onclick="DimpCore.renameFolder(DMenu.element());return false;"><?php echo $folder_edit . _("Rename Folder") ?></a>
</div>

<div class="context" id="ctx_message" style="display:none;">
 <a href="#" id="ctx_message_reply" onclick="DimpCore.composeMailbox('reply');return false;"><?php echo Horde::img('reply.png', '', '', $imagedir) . _("Reply to Sender") ?></a>
 <a href="#" id="ctx_message_reply_all" onclick="DimpCore.composeMailbox('reply_all');return false;"><?php echo Horde::img('replyall.png', '', '', $imagedir) . _("Reply to All") ?></a>
 <div class="sep"></div>
 <a href="#" id="ctx_message_fw_all" onclick="DimpCore.composeMailbox('forwardall');return false;"><?php echo $forward . _("Forward Entire Message") ?></a>
 <a href="#" id="ctx_message_fw_body" onclick="DimpCore.composeMailbox('forwardbody');return false;"><?php echo $forward . _("Forward Body Text Only") ?></a>
 <a href="#" id="ctx_message_fw_att" onclick="DimpCore.composeMailbox('forwardattachments');return false;"><?php echo $forward . _("Forward Attachments Only") ?></a>
 <div class="sep"></div>
 <a href="#" onclick="return DimpCore.flag('seen');"><?php echo $mailseen . _("Mark as Read") ?></a>
 <a href="#" onclick="return DimpCore.flag('unseen');"><?php echo $mailunseen . _("Mark as New") ?></a>
 <a href="#" onclick="return DimpCore.flag('flagged');"><?php echo $flagged . _("Flag Message") ?></a>
 <a href="#" onclick="return DimpCore.flag('clear');"><?php echo $clearflag . _("Clear Flag") ?></a>
 <div class="sep"></div>
<?php if (!empty($conf['spam']['reporting'])): ?>
 <a href="#" id="ctx_msg_spam" onclick="return DimpCore.flag('spam');"><?php echo Horde::img('spam.png', '', '', $imagedir) . _("Mark as Spam") ?></a>
<?php endif; ?>
<?php if (!empty($conf['notspam']['reporting'])): ?>
 <a href="#" id="ctx_msg_ham" onclick="return DimpCore.flag('ham');"><?php echo Horde::img('ham.png', '', '', $imagedir) . _("Mark as Innocent") ?></a>
<?php endif; ?>
<?php if ($registry->hasMethod('mail/blacklistFrom')): ?>
 <a href="#" onclick="return DimpCore.flag('blacklist');"><?php echo Horde::img('blacklist.png', '', '', $imagedir) . _("Blacklist") ?></a>
<?php endif; ?>
<?php if ($registry->hasMethod('mail/whitelistFrom')): ?>
 <a href="#" onclick="return DimpCore.flag('whitelist');"><?php echo Horde::img('whitelist.png', '', '', $imagedir) . _("Whitelist") ?></a>
<?php endif; ?>
 <a href="#" onclick="return DimpCore.flag('deleted');"><?php echo $delete . _("Delete") ?></a>
<?php if (!$usetrash): ?>
 <a href="#" onclick="return DimpCore.flag('undeleted');"><?php echo $delete . _("Undelete") ?></a>
<?php endif; ?>
</div>

<div class="context" id="ctx_draft" style="display:none;">
 <a href="#" onclick="DimpCore.composeMailbox('resume');return false;"><?php echo Horde::img('mail_draft.png', '', '', $imagedir) . _("Resume Draft") ?></a>
 <div class="sep"></div>
 <a href="#" onclick="return DimpCore.flag('flagged');"><?php echo $flagged . _("Flag Message") ?></a>
 <a href="#" onclick="return DimpCore.flag('clear');"><?php echo $clearflag . _("Clear Flag") ?></a>
 <div class="sep"></div>
 <a href="#" onclick="return DimpCore.flag('deleted');"><?php echo $delete . _("Delete") ?></a>
<?php if (!$usetrash): ?>
 <a href="#" onclick="return DimpCore.flag('undeleted');"><?php echo $delete . _("Undelete") ?></a>
<?php endif; ?>
</div>

<div class="context" id="ctx_reply" style="display:none;">
 <a href="#" onclick="DimpCore.composeMailbox('reply');return false;"><?php echo Horde::img('replyall.png', '', '', $imagedir) . _("To Sender") ?></a>
 <a href="#" onclick="DimpCore.composeMailbox('reply_all');return false;"><?php echo Horde::img('replyall.png', '', '', $imagedir) . _("To All") ?></a>
</div>

<div class="context" id="ctx_forward" style="display:none;">
 <a href="#" onclick="DimpCore.composeMailbox('forwardall');return false;"><?php echo $forward . _("Entire Message") ?></a>
 <a href="#" onclick="DimpCore.composeMailbox('forwardbody');return false;"><?php echo $forward . _("Body Text Only") ?></a>
 <a href="#" onclick="DimpCore.composeMailbox('forwardattachments');return false;"><?php echo $forward . _("Attachments Only") ?></a>
</div>

<div class="context" id="ctx_otheractions" style="display:none;">
 <a href="#" id="previewtoggle" onclick="DimpCore.togglePreviewPane();return false;"><?php echo $preview; echo ($dimp_prefs->getValue('show_preview') ? _("Hide Preview") : _("Show Preview")); ?></a>
 <div class="sep"></div>
 <a href="#" onclick="return DimpCore.flag('seen');"><?php echo $mailseen . _("Mark as Read") ?></a>
 <a href="#" onclick="return DimpCore.flag('unseen');"><?php echo $mailunseen . _("Mark as New") ?></a>
 <a href="#" onclick="return DimpCore.flag('flagged');"><?php echo $flagged . _("Flag Message") ?></a>
 <a href="#" onclick="return DimpCore.flag('clear');"><?php echo $clearflag . _("Clear Flag") ?></a>
 <div class="sep"></div>
<?php if ($registry->hasMethod('mail/blacklistFrom') || $registry->hasMethod('mail/whitelistFrom')): ?>
<?php if ($registry->hasMethod('mail/blacklistFrom')): ?>
 <a href="#" onclick="return DimpCore.flag('blacklist');"><?php echo Horde::img('blacklist.png', '', '', $imagedir) . _("Blacklist") ?></a>
<?php endif; ?>
<?php if ($registry->hasMethod('mail/whitelistFrom')): ?>
 <a href="#" onclick="return DimpCore.flag('whitelist');"><?php echo Horde::img('whitelist.png', '', '', $imagedir) . _("Whitelist") ?></a>
<?php endif; ?>
 <div class="sep"></div>
<?php endif; ?>
 <a href="#" onclick="DimpCore.selectAll();return false;"><?php echo $tick . _("Select All") ?></a>
<?php if (!$prefs->getValue('use_trash')): ?>
 <div class="sep"></div>
 <a href="#" onclick="DimpCore.purgeDeleted();return false;"><?php echo $delete . _("Purge Deleted") ?></a>
<?php endif; ?>
</div>

<div id="previewInfoText" style="display:none;">
 <?php echo _("To preview a message, select it from the list above. A right-click on the messages will display available actions.") ?><br />
 <?php echo _("Click on a message while holding down the CTRL key to select multiple messages.  To select a range of messages, click the first message of the range, navigate to the last message of the range, and then click on the last message while holding down the SHIFT key.") ?><br /><br />
 <?php echo _("The following keyboard shortcuts are available:") ?><br />
 <?php echo _("UP/DOWN Arrow keys: Move up/down through the message list.") ?><br />
 <?php echo _("PAGE UP/PAGE DOWN keys: Move one page up/down through the message list.") ?><br />
 <?php echo _("HOME/END keys: Move to the beginning/end of the message list.") ?><br />
 <?php echo _("DELETE key: Delete the currently selected message(s). SHIFT-DELETE will delete the current message and move to the next message if a single message is selected.") ?><br />
 <?php echo _("ENTER key: Open message(s) in a popup window.") ?><br />
 <?php echo _("CTRL-A: Select all messages in the current mailbox.") ?><br />
</div>

<div id="mousedrag" class="mousedrag" style="display:none;">
 <div id="dragcount">0</div>
</div>

<div id="loading_img" style="display:none;">
 <?php echo Horde::img('loading.gif', _("Loading..."), array(), $imagedir) ?>
</div>

<div id="popdown_img" style="display:none;">
 <?php echo Horde::img('popdown.png', 'v', array('class' => 'popdown'), $imagedir) ?>
</div>

<div style="display:none;">
 <?php foreach ($thread_imgs as $val) { echo $val; } ?>
 <?php foreach ($atc_imgs as $val) { echo $val; } ?>
</div>
